% Ex 1: Dynamic range of a display
% This is a part of the tone-mapping workshop 
% (c) 2012 Rafal Mantiuk

L_peak = 500;
L_black = 0.5;
k = 0.005;
gamma = 2.2;

E_amb = 0;


% Ratio of the luminance produced by white(1) and black (0) pixels 
log10( gog_fw_display_model( 1, gamma, L_peak, L_black, E_amb, k )/ ...
       gog_fw_display_model( 0, gamma, L_peak, L_black, E_amb, k ) )